Subject: bug#4635: 23.1.50; term-previous-input and split windows

From: Chong Yidong <[email-masked]>
Date: Sun, 17 Jun 2012 16:26:31 +0800

Stephen Berman <[email-masked]> writes:

>>>> 1. emacs -Q
>>>> 2. M-x term RET
>>>> 3. C-c 2
>>>> 4. RET
>>>> => Cursor jumps from the term prompt to the beginning of the buffer
>
> Thanks for tracking that down.  So, if I comment out the sexp (term-goto
> 0 0) in the last line term-set-scroll-region, the jump still happens,
> but only to (line-beginning-position) and then the cursor immediately
> returns to the first character after the prompt.  This looks strange but
> is at any rate much less disconcerting than jumping to the beginning of
> the buffer.  The only other place term-set-scroll-region is called is at
> the end of term-handle-ansi-escape; I don't know how to test if this
> change causes problems here.  BTW, the jump only happens in character
> mode (the default), not in line mode.

I committed a similar fix, in term-emulate-terminal, to trunk.  Thanks.